Parcel Details
With this service, you will be able to retrieve information about a parcel using its tracking number.
GET
/integrators/parcels/detail/{waybillNumber}
| Field | Type | In | Required | Example | Description |
|---|---|---|---|---|---|
| waybillNumber | string | PATH | Yes | YT72358DF03423452 | Parcel tracking number. |
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.weight | integer | 1551 | Parcel weight in grams. |
| data.length | integer | 318 | Parcel width in millimeters. |
| data.height | integer | 684 | Parcel height in millimeters. |
| data.width | integer | 489 | Parcel length in millimeters. |
| data.status | string | disposed | Parcel status. Possible options: created, received, pending, arrived, takeout, returned, confiscated, lost, dropOfDate, damaged, compensated, notCompensated, returnToSellerIsInProgress, disposed |
| data.senderCountry.name | string | United States | Sender country name in Latin. |
| data.senderCountry.code | string | US | Sender country code - ISO 3166-1 alpha-2. |
| data.receiverCity.name | string | Tbilisi | Receiver city name in Latin. |
| data.receiverPickupLocation.name | string | Isani | Receiver branch name in Latin. |
| data.receiverPickupLocation.address | string | Isani, Atskuri Street #45 | Receiver branch address in Latin. |
| data.receiverPickupLocation.phone | string | (0322) 2222222 | Receiver branch phone number. |
| data.receiverPickupLocation.latitude | float | 56.961032 | Receiver branch coordinates. |
| data.receiverPickupLocation.longitude | float | 94.614571 | Receiver branch coordinates. |
| data.receiverPickupLocation.postalCode | string | Isani | Receiver branch postal code. |
| data.waybillNumbers | array | [] | Array of parcel waybill numbers. |
| data.waybillNumbers.* | string | eqweqwecwrekjewqionwqe.ewqe1eqq | Parcel waybill number. |
Status Descriptions
| created | Added to the system. |
| received | Received at the warehouse. |
| pending | Dispatched. |
| arrived | Arrived. |
| takeout | Picked up. |
| returned | Returned. |
| confiscated | Confiscated. |
| lost | Lost. |
| dropOfDate | Unknown. |
| damaged | Damaged. |
| compensated | Compensated. |
| notCompensated | Not compensated. |
| returnToSellerIsInProgress | Return to seller is in progress. |
| disposed | The parcel was handed over to the state due to discrepancy, damage, or the recipient's inaction. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Parcel object. |
| 404 Not Found | Parcel with the specified waybill number was not found. |
| 403 Forbidden | You do not have permission to perform this operation |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/parcels/detail/YT72358DF03423452 \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json"
Response (200 OK)
JSON Response
JSON
{
"data": {
"weight": 1551,
"length": 318,
"height": 684,
"width": 489,
"status": "disposed",
"senderCountry": {
"name": "United States",
"code": "US"
},
"receiverCity": {
"name": "Tbilisi"
},
"receiverPickupLocation": {
"name": "Isani",
"address": "Isani, Atskuri Street #45",
"phone": "(0322) 2222222",
"latitude": 56.961032,
"longitude": 94.614571,
"postalCode": "64691"
},
"waybillNumbers": [
"eqweqwecwrekjewqionwqe.ewqe1eqq",
"23311234.ewqe1eqq"
]
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested parcel not found"
]
},
"message": "error"
}